Error while update

Discussion in 'Installation/Configuration' started by z400, May 23, 2007.

  1. z400

    z400 New Member

    Hi :)

    I did try an Update from 2.2.12 -> 2.2.13.
    When starting the installation (update) the Script dies with this
    Errormessage:

    Code:
    Akzeptieren Sie die Lizenz? [y/n]y
    
    Überprüfe die Syntax der httpd.conf...
    Syntax error on line 48 of /etc/apache2/vhosts/Vhosts_ispconfig.conf:
    Invalid command 'php_admin_flag', perhaps mis-spelled or defined by a module not included in the server configuration
    ERROR: Die Syntax der httpd.conf ist nicht ok! Bitte korrigieren Sie den Fehler. Die Installation bricht hier ab!
    I never changed ../Vhosts_ispconfig.conf by hand.

    Does anyone have an Idea?

    Thx for help!
     
  2. till

    till Super Moderator Staff Member ISPConfig Developer

    Did you do any updates of your webserver or PHP? It looks like mod_php is not loaded which causes this error in your apache configuation.
     
  3. z400

    z400 New Member

    Hmm.

    I'am sure that i didn't had any updates.
    Since an /etc/init.d/apache2 restart everything was fine! (i'am sure!).

    Any ideas?
     
  4. falko

    falko Super Moderator ISPConfig Developer

    What's the output of
    Code:
    ls -l /etc/apache2/mods-enabled
    ?
     
  5. z400

    z400 New Member

    This ->

    Code:
    # ls -l /etc/apache2/mods-enabled
    total 40
    lrwxrwxrwx 1 root root   36 May  7 12:48 cgi.load -> /etc/apache2/mods-available/cgi.load
    -rw-r--r-- 1 root root   58 May  7 13:19 cgi.load.07-05-07_13-19-28
    lrwxrwxrwx 1 root root   40 May  7 12:56 include.load -> /etc/apache2/mods-available/include.load
    -rw-r--r-- 1 root root   66 May  7 13:19 include.load.07-05-07_13-19-28
    lrwxrwxrwx 1 root root   37 May  7 12:48 perl.conf -> /etc/apache2/mods-available/perl.conf
    -rw-r--r-- 1 root root   19 May  7 13:19 perl.conf.07-05-07_13-19-28
    lrwxrwxrwx 1 root root   37 May  7 12:48 perl.load -> /etc/apache2/mods-available/perl.load
    -rw-r--r-- 1 root root   60 May  7 13:19 perl.load.07-05-07_13-19-28
    lrwxrwxrwx 1 root root   40 May  7 12:56 rewrite.load -> /etc/apache2/mods-available/rewrite.load
    -rw-r--r-- 1 root root   66 May  7 13:19 rewrite.load.07-05-07_13-19-28
    lrwxrwxrwx 1 root root   36 May  7 12:56 ssl.conf -> /etc/apache2/mods-available/ssl.conf
    -rw-r--r-- 1 root root 3545 May  7 13:19 ssl.conf.07-05-07_13-19-28
    lrwxrwxrwx 1 root root   36 May  7 12:56 ssl.load -> /etc/apache2/mods-available/ssl.load
    -rw-r--r-- 1 root root   58 May  7 13:19 ssl.load.07-05-07_13-19-28
    lrwxrwxrwx 1 root root   39 May  7 12:56 suexec.load -> /etc/apache2/mods-available/suexec.load
    -rw-r--r-- 1 root root   64 May  7 13:19 suexec.load.07-05-07_13-19-28
    lrwxrwxrwx 1 root root   40 May  7 12:48 userdir.conf -> /etc/apache2/mods-available/userdir.conf
    -rw-r--r-- 1 root root  244 May  7 13:19 userdir.conf.07-05-07_13-19-28
    lrwxrwxrwx 1 root root   40 May  7 12:48 userdir.load -> /etc/apache2/mods-available/userdir.load
    -rw-r--r-- 1 root root   66 May  7 13:19 userdir.load.07-05-07_13-19-28
    Thx for help so far ...
     
  6. till

    till Super Moderator Staff Member ISPConfig Developer

    The PHP5 module is not enabled and this causes the problem. Please run:

    a2enmod php5
     

Share This Page